# Awesome ActivityPub [![Awesome](https://awesome.re/badge.svg)](https://awesome.re) [![License: CC0](https://img.shields.io/badge/License-CC0-lightgrey.svg)](https://creativecommons.org/publicdomain/zero/1.0/) ![Status: WIP](https://img.shields.io/badge/status-WIP-red.svg)

[<img src="https://rawgit.com/BasixKOR/awesome-activitypub/master/ActivityPub-logo.svg" align="right" width="400">](https://activitypub.rocks/)

> Curated list of ActivityPub-based Projects!

[ActivityPub](https://www.w3.org/TR/activitypub/) is W3C standard, decentralized social networking protocol.

## Contents
* [Official](#official)
* [Services](#services)
* [Implementations](#implementations)
* [Libraries](#libraries)
* [Bridges](#bridges)

## Official
The official information.

* [ActivityPub Website](https://activitypub.rocks/) - The official website of ActivityPub protocol.
* [W3C ActivityPub Standard](https://www.w3.org/TR/activitypub/) - The standard document of ActivityPub.

## Services
Services supporting ActivityPub federation.

* [Dokieli](https://dokie.li/#introduction) - A clientside editor for decentralised article publishing, annotations and social interactions.
* [ForgeFed](https://github.com/forgefed/forgefed) - An extension to ActivityPub for web-based Git services federation.
* [Funkwhale](https://funkwhale.audio/) - A modern, self-hosted, free and open-source music server.
* [Hubzilla](https://project.hubzilla.org) - Macroblogging social network supports Zot, OStatus, diaspora, ActivityPub.
* [Mastodon](https://joinmastodon.org/) - Microblogging service based on ActivityPub and OStatus protocol.
* [Misskey](https://github.com/syuilo/misskey) - Microblogging service based on ActivityPub.
* [PeerPx](https://github.com/peerpx/peerpx) - A federated alternative to 500px or Flickr.
* [PeerTube](https://github.com/Chocobozzz/PeerTube) - Video streaming platform with ActivityPub and WebTorrent.
* [PixelFed](https://pixelfed.org/) - Federated Image Sharing.
* [Pleroma](https://pleroma.social/) - Lightweight microblogging service based on ActivityPub and OStatus protocol.
* [Plume](https://github.com/Plume-org/Plume) - Federated blogging engine with ActivityPub.
* [Prismo](https://gitlab.com/mbajur/prismo) - Federated link aggregation powered by ActivityPub.
* [Rustodon](https://github.com/rustodon/rustodon) - A Mastodon-compatible, ActivityPub-speaking server in Rust.
* [anancus](https://gitlab.com/tuxether/anancus) - Self-hosted and federated social link aggregation.
* [anfora](https://github.com/anforaProject/anfora) - Self-hosted photo gallery social network.
* [disbin](https://distbin.com/about) - Distributed Pastebin, support ActivityPub and Micropub.
* [microblog.pub](https://microblog.pub/) - A self-hosted, single-user, ActivityPub powered microblog.
* [pump.io](http://pump.io/) - Social server with an ActivitySteams API, currently working on ActivityPub.
* [write.as](https://write.as/about) - A distraction-free writing space with ActivityPub support.
* [Nextcloud Social](https://github.com/nextcloud/social) - Federated social network application on Nextcloud.
* [Pterotype](https://getpterotype.com/) - A WordPress plugin bringing your blog to the Fediverse.
* [Mobilizon](https://joinmobilizon.org/en/) - A federated organization and mobilization platform.

## Implementations
Simple example of implementing ActivityPub.

* [ActivityPub Example](https://github.com/tOkeshu/activitypub-example) - An example of ActivityPub server implementation written in Python.
* [dsblank/activitypub](https://github.com/dsblank/activitypub) - Prototyping a Python ActivityPub distributed server in Tornado.
* [microstatus](https://github.com/Arkanosis/microstatus) - Mastodon, GNUsocial compatible ActivityPub and OStatus server implementation.
* [pylodon](https://github.com/rowanlupton/pylodon) - Flask-based ActivityPub server implementation.
* [dariusk/express-activitypub](https://github.com/dariusk/express-activitypub) - A very simple reference implementation of an ActivityPub server using Express.js.
* [CommonsPub](https://commonspub.org/) - A generic federated server, written in Elixir.

## Libraries
A little help for implementing ActivityPub.

* [activity](https://github.com/go-fed/activity) - ActivityPub library for Golang.
* [activitypub-php](https://github.com/pterotype-project/activitypub-php) - A library to turn any PHP project into a full ActivityPub implementation.

## Bridges
Connecting the ActivityPub federation with another federation.

* [Bridgy Fed](https://github.com/snarfed/bridgy-fed) - A bridge between IndieWeb and ActivityPub, OStatus.
* [GNU Social ActivityPub Plugin](https://git.gnu.io/dansup/ActivityPub) - Plugin for GNU Social to add ActivityPub support.
* [Osada](https://macgirvin.com/wiki/mike/Osada/Home) - A bridge between Zot protocol and ActivityPub, OStatus, Diaspora etc.
* [RSS to ActivityPub](https://github.com/dariusk/rss-to-activitypub) - An RSS to ActivityPub converter. 

## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)
